Index: extensions/bbcode_bar/language/de_DE/description.txt
===================================================================
--- extensions/bbcode_bar/language/de_DE/description.txt	(revision 7156)
+++ extensions/bbcode_bar/language/de_DE/description.txt	(revision 7156)
@@ -0,0 +1,1 @@
+Erlaubt die Eingabe von BBCode in Kommentaren und Beschreibungen
Index: extensions/bbcode_bar/language/de_DE/index.php
===================================================================
--- extensions/bbcode_bar/language/de_DE/index.php	(revision 7156)
+++ extensions/bbcode_bar/language/de_DE/index.php	(revision 7156)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id: index.php 3632 2009-07-19 08:45:36Z ddtddt $
+// | last update   : $Date: 2009-07-19 10:45:36 +0200 (Sun, 19 Jul 2009) $
+// | last modifier : $Author: ddtddt $
+// | revision      : $Revision: 3632 $
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/bbcode_bar/language/de_DE/plugin.lang.php
===================================================================
--- extensions/bbcode_bar/language/de_DE/plugin.lang.php	(revision 7156)
+++ extensions/bbcode_bar/language/de_DE/plugin.lang.php	(revision 7156)
@@ -0,0 +1,53 @@
+<?php
+	global $lang;
+	
+	$lang['admin_liste'] 		= "Liste :";	
+	
+	$lang['p_help'] 		= "Paragraph : [p]Paragraph[/p]";	
+	$lang['b_help'] 		= "Fett : [b]fett[/b]";
+	$lang['i_help'] 		= "Kursiv : [i]kursiv[/i]";
+	$lang['u_help'] 		= "Unterstrichen : [u]unterstrichen[/u]";	
+	$lang['s_help'] 		= "Durchgestrichen  : [s]durchgestrichen [/s]";
+	
+	$lang['center_help'] 		= "Mittig : [center]mittig[/center]";
+	$lang['right_help'] 		= "Rechts : [right]rechts[/right]";
+	$lang['ul_help'] 		= "Un-nummerierte Liste : [ul][li]Element[/li][/ul]";
+	$lang['ol_help'] 		= "Nummerierte Liste : [ol][li]Element[/li][/ol]";
+	
+	$lang['quote_help'] 		= "Zitat : [quote]Zitat[/quote]";
+	$lang['img_help'] 		= "Bild : [img]Bild[/img]";
+	$lang['url_help'] 		= "URL : [url=URL]Titel[/url]";
+	$lang['mail_help'] 		= "E-mail : [email]E-mail[/email]";	
+	
+	$lang['size_help'] 		= "Textgröße : [size=X]Text[/size]";
+	$lang['tiny'] 			= "Winzig";
+	$lang['small'] 			= "Klein";
+	$lang['normal'] 		= "Normal";
+	$lang['large'] 			= "Groß";
+	$lang['huge'] 			= "Riesig";	
+	
+	$lang['fc_help'] 		= "Textfarbe : [color=farbe]Text[/color]";
+	$lang['default_help']		= "Standard";
+	$lang['maroon_help'] 		= "Dunkelrot";		
+	$lang['red_help'] 		= "Rot";			
+	$lang['orange_help'] 		= "Orange";	 	
+	$lang['brown_help'] 		= "Braun";
+	$lang['yellow_help'] 		= "Gelb";	 	
+	$lang['green_help'] 		= "Grün"; 	
+	$lang['olive_help'] 		= "Olive";	 	
+	$lang['cyan_help'] 		= "Cyan";
+	$lang['blue_help'] 		= "Blau";	
+	$lang['darkblue_help']		= "Dunkelblau";
+	$lang['indigo_help'] 		= "Indigo";
+	$lang['violet_help'] 		= "Violett";
+	$lang['white_help'] 		= "Weiß";
+	$lang['black_help'] 		= "Schwarz";
+	
+	$lang['preview'] 		= "Vorschau";
+	
+	$lang['help']			= "Ein Kniff: Das Format kann dem ausgewählten Text zugewiesen werden.";
+	
+	$lang['repicon']		= "Iconverzeichnis.";
+  
+  $lang['bbcb_config_saved'] = "Konfiguration gespeichert";
+?>