Index: /branches/2.1/language/es_ES/admin.lang.php
===================================================================
--- /branches/2.1/language/es_ES/admin.lang.php	(revision 7163)
+++ /branches/2.1/language/es_ES/admin.lang.php	(revision 7164)
@@ -51,10 +51,10 @@
 $lang['Actions'] = 'Acciones';
 $lang['Activate'] = 'Activada';
-$lang['Add/delete a permalink'] = 'Añadir / borrar un lazo permanente';
+$lang['Add/delete a permalink'] = 'Añadir / borrar un enlace permanente';
 $lang['Add a tag'] = 'Añadir una etiqueta';
 $lang['Add a user'] = 'Añadir un usuario';
 $lang['Add group'] = 'Añadir un grupo';
 $lang['Add selected elements to caddie'] = 'Añadir los elementos seleccionados a la cesta';
-$lang['Add'] = 'Añadir';
+$lang['Add'] = 'Subir';
 $lang['Allow user registration'] = 'Permitir el registro de los usuarios';
 $lang['Apply to subcategories'] = 'Aplicar a subcategorías';
@@ -131,10 +131,10 @@
 $lang['Parent category'] = 'Categoría pariente';
 $lang['Path'] = 'Camino';
-$lang['Permalink'] = 'Lazo permanente';
-$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'El lazo permanente %s ha sido utilizado anteriormente por la categoría %s. Por favor, bórrelo del histórico de los lazos permanentes';
-$lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'El lazo permanente debe contener sólo carácteres entre " - zA-Z0-9 ", "-" o "_". No debe ser numérico o comenzar con un número seguido por "-"';
-$lang['Permalink %s is already used by category %s'] = 'El lazo permanente %s es ya utilizado por la categoría %s';
-$lang['Permalink history'] = 'Histórico de los lazos permanentes';
-$lang['Permalinks'] = 'Lazos permanentes';
+$lang['Permalink'] = 'Enlace permanente';
+$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'El enlace permanente %s ha sido utilizado anteriormente por la categoría %s. Por favor, bórrelo del histórico de los enlaces permanentes';
+$lang['The permalink name must be composed of a-z, A-Z, 0-9, "-", "_" or "/". It must not be numeric or start with number followed by "-"'] = 'El enlace permanente debe contener sólo carácteres entre " - zA-Z0-9 ", "-" o "_". No debe ser numérico o comenzar con un número seguido por "-"';
+$lang['Permalink %s is already used by category %s'] = 'El enlace permanente %s es ya utilizado por la categoría %s';
+$lang['Permalink history'] = 'Histórico de los enlaces permanentes';
+$lang['Permalinks'] = 'Enlaces permanentes';
 $lang['Permission denied'] = 'Acceso prohibido';
 $lang['Permission granted thanks to a group'] = 'Acceso autorizado gracias a la pertenencia a los grupos';
@@ -156,5 +156,5 @@
 $lang['Represents'] = 'Representa';
 $lang['Save order'] = 'Salvaguardar la orden';
-$lang['Save to permalink history'] = 'Salvaguardar en el histórico de los lazos permanentes';
+$lang['Save to permalink history'] = 'Salvaguardar en el histórico de los enlaces permanentes';
 $lang['Select at least one category'] = 'Seleccionar por lo menos una categoría';
 $lang['Select at least one picture'] = 'Seleccionar por lo menos una imagen';
@@ -248,5 +248,5 @@
 $lang['Manage'] = 'Administrar';
 $lang['maximum height'] = 'Altura máxima';
-$lang['maximum width'] = 'Anchura máxima';
+$lang['maximum width'] = 'Ancho máxima';
 $lang['Execution time is out, treatment must be continue [Estimated time: %d second].'] = 'Se sobrepaso el tiempo de ejecución, el tratamiento debe continuar [el Tiempo estimado: %d el segundo].';
 $lang['Prepared time for list of users to send mail is limited. Others users are not listed.'] = 'El tiempo de preparación de la lista de los usuarios para el envío es limitado. Los otros usuarios no estan en una lista.';
@@ -289,5 +289,5 @@
 $lang['Subscribe to notification by mail'] = 'Inscripción a la notificación por mail';
 $lang['Unsubscribe from notification by mail'] = 'Désinscription a la notificación por mail';
-$lang['Parameter'] = 'Parametraje';
+$lang['Parameter'] = 'Parámetros';
 $lang['Continue processing treatment'] = 'Continuar el tratamiento corriente...';
 $lang['Complementary mail content'] = 'Contenido complementario del mail';
@@ -372,5 +372,5 @@
 $lang['pictures without thumbnail (jpeg and png only)'] = 'imagen sin miniatura (jpeg y png únicamente)';
 $lang['height must be a number superior to'] = 'La altura debe ser  un entero superior a';
-$lang['width must be a number superior to'] = 'La anchura debe ser un entero superior a';
+$lang['width must be a number superior to'] = 'La ancho debe ser un entero superior a';
 $lang['for the file format'] = 'para el tamaño de fichero';
 $lang['No missing thumbnail'] = 'No falta ninguna miniatura';
@@ -561,5 +561,5 @@
 $lang['Purge compiled templates'] = 'Purgar el templates compilado';
 $lang['Caddie is currently empty'] = 'La cesta actualmente está vacía';
-$lang['Show upload link every time'] = 'Mostrar el lazo de añadido de imagen todo el tiempo';
+$lang['Show upload link every time'] = 'Mostrar el enlace de añadido de imagen todo el tiempo';
 $lang['User access level to upload'] = 'Nivel de acceso usuario para cargar';
 $lang['ACCESS_0'] = 'Acceso libre';
@@ -625,5 +625,5 @@
 $lang['Email administrators when a comment is modified'] = 'Notificar a los administradores cuando un comentario es modificado';
 $lang['Email administrators when a comment is deleted'] = 'Notificar a los administradores cuando un comentario es suprimido';
-$lang['Cannot delete the old permalink !'] = '¡Imposible suprimir este antiguo lazo permanente!';
+$lang['Cannot delete the old permalink !'] = '¡Imposible suprimir este antiguo enlace permanente!';
 $lang['Hit'] = 'Golpe';
 $lang['Tools'] = 'herramientas';
@@ -638,5 +638,5 @@
 $lang['Set as default theme for unregistered and new users'] = 'Tema por defecto para los invitados y los nuevos usuarios';
 $lang['unknown'] = 'desconocido';
-$lang['Upload Photos'] = 'Añada fotos';
+$lang['Upload Photos'] = 'Agregar fotos';
 $lang['Drop into category'] = 'Poner en una categoría';
 $lang['+ Add an upload box'] = '+ Añadir otra caja de transferencia';
@@ -658,14 +658,14 @@
 $lang['... or switch to the old style form'] = '... o utilizar el antiguo formulario';
 $lang['... or switch to the multiple files form'] = '... o utilizar el formulario multificheros';
-$lang['The websize maximum width must be a number between %d and %d'] = 'La anchura máxima para la foto talla web debe ser una cifra comprendida entra  %d y %d';
-$lang['The websize maximum height must be a number between %d and %d'] = 'La altura máxima para la foto talla web debe ser una cifra comprendida entra  %d y %d';
-$lang['The websize image quality must be a number between %d and %d'] = 'La calidad de imagen para la foto talla web debe ser una cifra comprendida entra  %d y %d';
-$lang['The thumbnail maximum width must be a number between %d and %d'] = 'La anchura máxima para la miniatura debe ser una cifra comprendida entra %d y %d';
+$lang['The websize maximum width must be a number between %d and %d'] = 'La ancho máxima para la medidas de las fotos debe ser una cifra comprendida entra  %d y %d';
+$lang['The websize maximum height must be a number between %d and %d'] = 'La altura máxima para la medidas de las fotos debe ser una cifra comprendida entra  %d y %d';
+$lang['The websize image quality must be a number between %d and %d'] = 'La calidad de imagen para la medidas de las fotos debe ser una cifra comprendida entra  %d y %d';
+$lang['The thumbnail maximum width must be a number between %d and %d'] = 'La ancho máxima para la miniatura debe ser una cifra comprendida entra %d y %d';
 $lang['The thumbnail maximum height must be a number between %d and %d'] = 'La altura máxima para la miniatura debe ser una cifra comprendida entra %d y %d';
 $lang['The thumbnail image quality must be a number between %d and %d'] = 'La calidad de imagen para la miniatura debe ser una cifra comprendida entra %d y %d';
 $lang['Settings'] = 'Configuración';
-$lang['Web size photo'] = 'Foto talla web';
+$lang['Web size photo'] = 'Medidas de las fotos';
 $lang['Resize'] = 'Redimensionar';
-$lang['Maximum Width'] = 'Anchura máxima';
+$lang['Maximum Width'] = 'Ancho máxima';
 $lang['pixels'] = 'Píxeles';
 $lang['Maximum Height'] = 'Altura máxima';
@@ -676,5 +676,5 @@
 $lang['Active Themes'] = 'Temas activadas';
 $lang['Add write access to the "%s" directory'] = 'Añada el acceso en escritura para el repertorio';
-$lang['Administration Home'] = 'Acogida administración ';
+$lang['Administration Home'] = 'Administración';
 $lang['Categories ordered alphanumerically'] = 'Categorías escogidos por orden alfanumérico';
 $lang['Categories ordered alphanumerically reverse'] = 'Categorías escogidos por orden alfanumérico inverso';
@@ -685,5 +685,5 @@
 $lang['FTP + Synchronization'] = 'FTP + Sincronización';
 $lang['Get Support on Piwigo Forum'] = 'Conseguir la ayuda sobre el foro Piwigo';
-$lang['Help Me'] = 'A la ayuda';
+$lang['Help Me'] = 'Ayuda';
 $lang['Impossible to activate this theme, the parent theme is missing: %s'] = 'La activación de este tema es imposible, porque el tema allegado es faltante: %s';
 $lang['Impossible to delete this theme. Other themes depends on it: %s'] = 'Este tema no puede ser suprimido, porque otros tema dependen de él: %s';
Index: /branches/2.1/language/es_ES/common.lang.php
===================================================================
--- /branches/2.1/language/es_ES/common.lang.php	(revision 7163)
+++ /branches/2.1/language/es_ES/common.lang.php	(revision 7164)
@@ -209,7 +209,7 @@
 $lang['Maximum height of the pictures'] = 'Altura máxima de las imágenes';
 $lang['Maximum height must be a number superior to 50'] = 'La altura máxima de las imágenes no debe ser superioror a 50';
-$lang['Maximum width of the pictures'] = 'Anchura máxima de las imágenes';
+$lang['Maximum width of the pictures'] = 'Ancho máxima de las imágenes';
 $lang['Maximum width must be a number superior to 50'] = 'El ancho máximo de las imágenes no debe ser superior a 50';
-$lang['display a calendar by creation date'] = 'Mostrar las imágenes en un calendario por fecha de creación';
+$lang['display a calendar by creation date'] = 'mostrar las imágenes en un calendario, por fecha de subida';
 $lang['display all elements in all sub-categories'] = 'Mostrar todos los elementos de todas las categorías';
 $lang['return to normal view mode'] = 'Volver a la vista normal';
@@ -302,5 +302,5 @@
 $lang['the height of the picture must not exceed :'] = 'La altura de la imagen no debe sobrepasar los: ';
 $lang['Optional, but recommended : choose a thumbnail to associate to'] = 'Opcional, pero recomendado: escoger una miniatura para asociar ';
-$lang['the width of the picture must not exceed :'] = 'La anchura de la imagen no debe sobrepasar los: ';
+$lang['the width of the picture must not exceed :'] = 'La ancho de la imagen no debe sobrepasar los: ';
 $lang['can\'t upload the picture on the server'] = 'Imposible trasladar el fichero sobre el servidor';
 $lang['the username must be given'] = 'Indique el nombre de usuario';
@@ -375,5 +375,5 @@
 $lang['... or please deactivate this message, I will find my way by myself'] = '... o desactive este mensaje, yo mismo me desenredaré';
 $lang['Hello %s, your Piwigo photo gallery is empty!'] = '¡Buenos días %s, su galería foto Piwigo está vacía!';
-$lang['I want to add photos'] = 'Quiero añadir fotos';
+$lang['I want to add photos'] = 'Quiero subir fotos';
 $lang['Manage this user comment: %s'] = 'Administrar este comentario: %s';
 $lang['This author modified following comment:'] = 'Este autor modificó el comentario siguiente:';