Index: /extensions/event_cats/admin/template/autolog_new.tpl
===================================================================
--- /extensions/event_cats/admin/template/autolog_new.tpl	(revision 7164)
+++ /extensions/event_cats/admin/template/autolog_new.tpl	(revision 7165)
@@ -4,4 +4,5 @@
 
 {include file=$HeaderIncTPL}
+{include file='include/datepicker.inc.tpl'}
 
 {* <!-- Whether plugin Additionnal Pages is active or not, and help banner management --> *}
@@ -231,5 +232,5 @@
   
   {* <!-- Page to display --> *}
-  <fieldset>
+  <fieldset style = "float:left;">
     <legend style = "font-weight:bold;">{'Displayed page'|@translate}</legend>
     
@@ -295,5 +296,67 @@
   </fieldset>
   
-  <p>
+  <fieldset style = "float:right;">
+    <legend style = "font-weight:bold;">Validité</legend>
+    <span style = "font-weight:bold;">Date de validité&nbsp;: </span>
+    <select id = "date_creation_day-13" name = "date_creation_day-13">
+      <option value = "0">--</option>
+      <option value = "1" >1</option>
+      <option value = "2" >2</option>
+      <option value = "3" >3</option>
+      <option value = "4" >4</option>
+      <option value = "5" >5</option>
+      <option value = "6" >6</option>
+      <option value = "7" >7</option>
+      <option value = "8" >8</option>
+      <option value = "9" >9</option>
+      <option value = "10" >10</option>
+      <option value = "11" >11</option>
+      <option value = "12" >12</option>
+      <option value = "13" >13</option>
+      <option value = "14" >14</option>
+      <option value = "15" >15</option>
+      <option value = "16" >16</option>
+      <option value = "17" >17</option>
+      <option value = "18" >18</option>
+      <option value = "19" >19</option>
+      <option value = "20" >20</option>
+      <option value = "21" >21</option>
+      <option value = "22" >22</option>
+      <option value = "23" >23</option>
+      <option value = "24" >24</option>
+      <option value = "25" >25</option>
+      <option value = "26" >26</option>
+      <option value = "27" >27</option>
+      <option value = "28" >28</option>
+      <option value = "29" >29</option>
+      <option value = "30" >30</option>
+      <option value = "31" >31</option>
+    </select>
+
+    <select id = "date_creation_month-13" name = "date_creation_month-13">
+      <option label = "------------" value = "0">------------</option>
+      <option label = "Janvier"      value = "1">Janvier</option>
+      <option label = "Février"      value = "2">Février</option>
+      <option label = "Mars"         value = "3">Mars</option>
+      <option label = "Avril"        value = "4">Avril</option>
+      <option label = "Mai"          value = "5">Mai</option>
+      <option label = "Juin"         value = "6">Juin</option>
+      <option label = "Juillet"      value = "7">Juillet</option>
+      <option label = "Août"         value = "8">Août</option>
+      <option label = "Septembre"    value = "9">Septembre</option>
+      <option label = "Octobre"      value = "10">Octobre</option>
+      <option label = "Novembre"     value = "11">Novembre</option>
+      <option label = "Décembre"     value = "12">Décembre</option>
+    </select>
+
+    <input id = "date_creation_year-13" name = "date_creation_year-13" type = "text" size = "4" maxlength = "4" value = "2010">
+    <input id = "date_creation_linked_date-13" name = "date_creation_linked_date-13" type = "hidden" size = "10" disabled = "disabled">
+    <script type = "text/javascript">
+      pwg_initialization_datepicker("#date_creation_day-13", "#date_creation_month-13",
+       "#date_creation_year-13", "#date_creation_linked_date-13", "#date_creation_action_set-13");
+    </script>
+  </fieldset>
+  
+  <p style = "clear:both;">
     <input class = "submit" type = "submit" value = "{'Submit'|@translate}"/>
     <input class = "submit" type = "submit" value = "{'Reset'|@translate}" onclick = "return ec_init();"/>
Index: /extensions/event_cats/main.inc.php
===================================================================
--- /extensions/event_cats/main.inc.php	(revision 7164)
+++ /extensions/event_cats/main.inc.php	(revision 7165)
@@ -81,4 +81,7 @@
 // Sets the administration panel of the plugin
   function plugin_admin_menu($menu) {
+                                                                                // to be removed in final version :
+                                                                                global $template;
+                                                                                $template->delete_compiled_templates();
     array_push($menu,
       array(
Index: tensions/event_cats/pem_metadata.txt
===================================================================
--- /extensions/event_cats/pem_metadata.txt	(revision 7164)
+++ 	(revision )
@@ -1,4 +1,0 @@
-File automatically created from SVN repository.
-
-URL: http://piwigo.org/svn/extensions/event_cats 
-Revision: 6425