Index: extensions/albums/language/pl_PL/description.txt
===================================================================
--- extensions/albums/language/pl_PL/description.txt	(revision 7168)
+++ extensions/albums/language/pl_PL/description.txt	(revision 7168)
@@ -0,0 +1,1 @@
+Zmienia nazwę "kategoria" na album.
Index: extensions/albums/language/pl_PL/plugin.lang.php
===================================================================
--- extensions/albums/language/pl_PL/plugin.lang.php	(revision 7168)
+++ extensions/albums/language/pl_PL/plugin.lang.php	(revision 7168)
@@ -0,0 +1,90 @@
+<?php
+$lang['%d category including'] = '%d album zawiera';
+$lang['%d categories including'] = '%d albumy zawierające';
+$lang['%d category moved'] = '%d album przeniesiony';
+$lang['%d categories moved'] = '%d albumów przeniesionych';
+$lang['Apply to subcategories'] = 'Zastosuj do pod-albumów';
+$lang['Association to categories'] = 'Powiązanie z albumami';
+$lang['Categories authorized thanks to group associations'] = 'Albumy zautoryzowane dzięki powiązaniom z grupami';
+$lang['Categories manual order was saved'] = 'Ręcznie ustawiona kolejność albumów została zapisana';
+$lang['Category elements associated to the following categories: %s'] = 'Zdjęcia albumu są powiązane z następującymi albumami: %s';
+$lang['Link all category elements to a new category'] = 'Podlinkuj wszystkie zdjęcia albumu do nowego albumu';
+$lang['Link all category elements to some existing categories'] = 'Podlinkuj wszystkie zdjęcia albumu do istniejących albumów';
+$lang['Linked categories'] = 'Podlinkowane albumy';
+$lang['Manage permissions for a category'] = 'Zarządzaj uprawnieniami dla albumu';
+$lang['Move categories'] = 'Przenieś albumy';
+$lang['New parent category'] = 'Nowy nadrzędny album';
+$lang['Only private categories are listed'] = 'Lista zawiera tylko prywatne albumy';
+$lang['Other private categories'] = 'Inne prywatne albumy';
+$lang['Parent category'] = 'Nadrzędny album';
+$lang['Permalink %s has been previously used by category %s. Delete from the permalink history first'] = 'Link permanentny %s był wcześniej używany przez album %s. Usuń go najpierw z historii linkó permanentnych';
+$lang['Permalink %s is already used by category %s'] = 'Link permanentny %s jest aktualnie używany przez album %s';
+$lang['Representation of categories'] = 'Reprezentacja albumu';
+$lang['Select at least one category'] = 'Wybierz przynajmniej jeden album';
+$lang['Storage category'] = 'Lokalizacja albumu';
+$lang['Virtual categories movement'] = 'Wirtualne przeniesienie albumu';
+$lang['Virtual categories to move'] = 'Wirtualne albumy do przeniesienia';
+$lang['Virtual category name'] = 'Wirtualna nazwa albumu';
+$lang['You cannot move a category in its own sub category'] = 'Nie możesz przenieść albumu do jego własnego pod-albumu';
+$lang['associate to category'] = 'powiąż z albumem';
+$lang['Add a virtual category'] = 'Dodaj wirtualny album';
+$lang['Authorize users to add comments on selected categories'] = 'Autoryzuj użytkowników do dodawania komentarzy do albumu';
+$lang['The name of a category should not be empty'] = 'Nazwa albumu nie może być pusta';
+$lang['Lock categories'] = 'Zablokuj albumy';
+$lang['Private category'] = 'Album prywatny';
+$lang['Public category'] = 'Album dostępny publicznie';
+$lang['Manage authorizations for selected categories'] = 'Zarządzaj autoryzacjami do zaznaczonych albumów';
+$lang['Select uploadable categories'] = 'Wybierz albumy umożliwiające upload';
+$lang['Virtual category added'] = 'Album wirtualny dodany';
+$lang['Virtual category deleted'] = 'Album wirtualny usunięty';
+$lang['Category'] = 'Album';
+$lang['delete category'] = 'usuń album';
+$lang['dissociate from category'] = 'usuń powiązanie z albumem';
+$lang['edit category permissions'] = 'edytuj uprawnienia albumu';
+$lang['Category informations updated successfully.'] = 'Informacje o albumie zostały zaktualizowane pomyślnie.';
+$lang['jump to category'] = 'przejdź do albumu';
+$lang['manage category elements'] = 'Zarządzaj zdjęciami w albumie';
+$lang['manage sub-categories'] = 'Zarządzaj pod-albumami';
+$lang['sub-categories'] = 'pod-albumy';
+$lang['Categories management'] = 'Zarządzanie albumami';
+$lang['Edit a category'] = 'Edytuj album';
+$lang['Update categories informations'] = 'Aktualizuj informacje o albumie';
+$lang['reduce to single existing categories'] = 'zredukuj do pojedynczego istniejącego albumu';
+$lang['display maximum informations (added categories and elements, deleted categories and elements)'] = 'pokaż maksimum informacji (dodanie albumu i elementów, usunięcie albumu i elementów)';
+$lang['a picture filetype requires a thumbnail. The thumbnail must be present in the sub-directory \'thumbnail\' of the category directory. The thumbnail filename must start with the configured thumbnail prefix and the extension must be among the following list :'] = 'typ pliku zdjęcia wymaga miniatury. Miniatury muszą być obecne w podkatalogu \'thumbnail\' katalogu danego albumu. Nazwa pliku miniatury musi się zaczynać skonfigurowanym prefixem a rozszerzenie pliku musi być z następującej listy :';
+$lang['categories deleted in the database'] = 'albumy usunięte z bazy danych';
+$lang['categories added in the database'] = 'albumy dodane do bazy danych';
+$lang['Virtual category'] = 'Album wirtualny';
+$lang['Files with same name in more than one physical category'] = 'Identyczne nazwy plików w więcej niż jednym fizycznym albumie';
+$lang['[%s] Come to visit the category %s'] = '[%s] Odwiedź album %s';
+$lang['Come to discover the category:'] = 'Odkryj album:';
+$lang['edit category informations'] = 'edytuj informacje o tym albumie';
+$lang['No element in this category'] = 'Brak elementó w tym albumie';
+$lang['Drop into category'] = 'Wrzuć do albumu';
+$lang['existing category'] = 'istniejący album';
+$lang['create a new category'] = 'stwórz nowy album';
+$lang['Category name'] = 'Nazwa albumu';
+$lang['Category \'%s\' has been added'] = 'Album \'%s\' został dodany';
+$lang['Category \'%s\' now contains %d photos'] = 'Album \'%s\' aktualnie zawiera %d zdjęć';
+$lang['Categories ordered alphanumerically'] = 'Sortowanie alfanumeryczne w albunie';
+$lang['Categories ordered alphanumerically reverse'] = 'Odwrócone sortowanie alfanumeryczne w albunie';
+$lang['%d category updated'] = '%d album zaktualizowany';
+$lang['%d categories updated'] = '%d albumów zaktualizowanych';
+$lang['Categories'] = 'Albumy';
+$lang['Category'] = 'Album';
+$lang['The RSS notification feed provides notification on news from this website : new pictures, updated categories, new comments. Use a RSS feed reader.'] = 'RSS zapewnia powiadomienia o wydarzeniach na tej stronie: nowych zdjęciach, aktualizacjach albumów, nowych komentarzach. Do użycia z czytnikiem RSS.';
+$lang['Expand all categories'] = 'Rozwiń wszystkie albumy';
+$lang['shows images at the root of this category'] = 'pokazuje zdjęcia w głównym katalogu albumu';
+$lang['in this category'] = 'w tym albumie';
+$lang['in %d sub-category'] = 'w %d pod-albumie';
+$lang['in %d sub-categories'] = 'w %d pod-albumach';
+$lang['display all elements in all sub-categories'] = 'pokaż wszystkie elementy w albumach i pod-albumach';
+$lang['Recent categories'] = 'Aktualne albumy';
+$lang['display recently updated categories'] = 'pokaż aktualnie zaktualizowane albumy';
+$lang['Search in Categories'] = 'Szukaj w albumach';
+$lang['Search in subcategories'] = 'Szukaj w pod-albumach';
+$lang['set as category representative'] = 'ustaw jako reprezentanta albumu';
+$lang['Category: %s'] = 'Album: %s';
+$lang['Category results for'] = 'Wyniki albumu dla';
+$lang['All sub-categories of private categories become private'] = 'Wszystkie pod-albumy prywatnych albumów będą prywatne';
+?>