Index: extensions/Random_Header/language/de_DE/description.txt
===================================================================
--- extensions/Random_Header/language/de_DE/description.txt	(revision 7184)
+++ extensions/Random_Header/language/de_DE/description.txt	(revision 7184)
@@ -0,0 +1,1 @@
+Erlaubt es im Kopfbereich ein Zufallsbild aus der von Ihnen ausgewählten Kategorie anzuzeigen. Dies entweder als normales Bild oder aber als Hintergrundbild
Index: extensions/Random_Header/language/de_DE/index.php
===================================================================
--- extensions/Random_Header/language/de_DE/index.php	(revision 7184)
+++ extensions/Random_Header/language/de_DE/index.php	(revision 7184)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/Random_Header/language/de_DE/plugin.lang.php
===================================================================
--- extensions/Random_Header/language/de_DE/plugin.lang.php	(revision 7184)
+++ extensions/Random_Header/language/de_DE/plugin.lang.php	(revision 7184)
@@ -0,0 +1,37 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+$lang['rh_description']         ='Erlaubt es im Kopfbereich ein Zufallsbild aus der von Ihnen ausgewählten Kategorie anzuzeigen. Dies entweder als normales Bild oder aber als Hintergrundbild';
+$lang['rh_submit']                 = 'Speichern';
+$lang['rh_before']                 = 'vorher';
+$lang['rh_after']                 = 'nachher';
+$lang['rh_concat']                 = ' Banner der Seiten zusammenfügen';
+$lang['rh_as_background']         = 'Als Hintergrundbild';
+$lang['rh_on_picture']             = 'Auf Bildseite auc aktiv';
+$lang['rh_headers_category']     = 'Bilderkategorien Kopfbereich';
+$lang['rh_theme']                 = 'Thema';
+$lang['rh_inactif']             = 'Für dieses Thema nicht verfügbar';
+$lang['rh_aide']                 = 'Notiz :<br />DIE BILDER SIND FUER ALLE ERSICHTLICH (Egal ob Privatkategorie oder nicht)<br />Der CSS-Style für das Bild (#RandomImage) wird beim Hintergrundbild nicht benützt<br>Die CSS-Felder müssen den CSS-Normen entsprechen (ex: "overflow:auto;color:red;")<br />Im Hintergrundbildmodus ist das <a href="admin.php?page=configuration">zusammenfügen der Bannerseiten</a> inaktiv';
+$lang['rh_additional_css']         = 'Zusätlicher CSS-Style';
+$lang['rh_inactif_on_bg']        = 'Inaktiv als Hintergrundbild'; 
+?>