Index: /extensions/gally/gally-cuise/conf/default.conf
===================================================================
--- /extensions/gally/gally-cuise/conf/default.conf	(revision 7193)
+++ /extensions/gally/gally-cuise/conf/default.conf	(revision 7194)
@@ -219,5 +219,5 @@
 # This option is not used when the 'menuAnimated' option is set to "noswitch"
 menuMaxWidth = 0
-menuMSIEMaxWidth = 200
+menuMSIEMaxWidth = 190
 
 # -- 1.3.0 --
Index: /extensions/gally/gally-cuise/css/theme.css
===================================================================
--- /extensions/gally/gally-cuise/css/theme.css	(revision 7193)
+++ /extensions/gally/gally-cuise/css/theme.css	(revision 7194)
@@ -804,5 +804,5 @@
 #navThumbPrev, #navThumbNext {
     vertical-align: top;
-    top: 60px;
+    top: 120px;
 }
 
@@ -1277,5 +1277,5 @@
      } 
   #theImg { z-index: -1;} 
- #theImage{ position:absolute; z-index:78; overflow:hidden;width:100%} 
+ #theImage{  z-index:78; overflow:hidden;width:100%} 
  #cadre{  
      background-position:50px 0;
@@ -1285,2 +1285,88 @@
 
  }
+ /* Google  */
+ #map2{    
+left:0px;
+ width:250px
+}
+#mapPicture {
+    /*position:absolute;  */ /*left:0px;*/
+    padding: 20px;
+    width: 150px;
+    border: outset;
+    text-align: center;
+    vertical-align: text-top;
+    line-height: normal;
+    font-family: Arial, Helvetica, sans-serif;
+    font-size: medium;
+}
+#mapPicture span {
+    font-family: Arial, Helvetica, sans-serif;
+    color: #00FF00;
+    float: left;
+    left: 0px;
+    right: 0px;
+    font-variant: small-caps;
+    text-align: left;
+    vertical-align: top;
+    line-height: 12px;
+    clear: both;
+    font-size: 14px;
+}
+
+#map #map_magnifyingglass{
+top:20px
+}
+#map #hmtctl{}
+
+#map #earth0 {
+
+	right: 0px;
+	padding: 0 5px;
+	font-size: 12px;
+	background-color: #f00;
+	color: #fff;
+	font-weight: bold;
+}
+
+
+#divMsg{
+
+}
+.ammillustrationc{  
+  
+}
+ #irandompicinner{
+  width:60%;
+ }
+
+ .illustration{ overflow:hidden}
+ div ul.thumbnails span.wrap2 { overflow:hidden;
+ width:138px;}
+ 
+ stuffs_block .middle_block .stuffs .content, BODY#theAdminPage .content, BODY#theTagsPage .content{}
+.personal_block  {
+   width:50%
+ }
+ 
+ .content .personal_block{
+ margin-left:0;
+ float:left;
+ left:0px;
+ }
+ 
+/*--- imagerie ---*/
+#map div span {
+	/*position: fixed;*/
+	bottom:  50px;
+	right: 200px;
+	padding: 0 5px;
+	font-size: 12px;
+	/*background-color: #0f0;*/
+	color: #fff;
+	font-weight: bold;
+}
+/*--- Logo Google ---*/
+#map #logocontrol{ position:absolute;
+top:50px;left:150px;
+}
Index: /extensions/gally/gally-cuise/js/crossbrowser.js
===================================================================
--- /extensions/gally/gally-cuise/js/crossbrowser.js	(revision 7193)
+++ /extensions/gally/gally-cuise/js/crossbrowser.js	(revision 7194)
@@ -2529,4 +2529,45 @@
   },
    //=======================================================
+     absolutize: function(element) {
+    element = $(element);
+    if (element.getStyle('position') == 'absolute') return;
+    // Position.prepare(); // To be done manually by Scripty when it needs it.
+
+    var offsets = element.positionedOffset();
+    var top     = offsets[1];
+    var left    = offsets[0];
+    var width   = element.clientWidth;
+    var height  = element.clientHeight;
+
+    element._originalLeft   = left - parseFloat(element.style.left  || 0);
+    element._originalTop    = top  - parseFloat(element.style.top || 0);
+    element._originalWidth  = element.style.width;
+    element._originalHeight = element.style.height;
+
+    element.style.position = 'absolute';
+    element.style.top    = top + 'px';
+    element.style.left   = left + 'px';
+    element.style.width  = width + 'px';
+    element.style.height = height + 'px';
+    return element;
+  },
+
+  relativize: function(element) {
+    element = $(element);
+    if (element.getStyle('position') == 'relative') return;
+    // Position.prepare(); // To be done manually by Scripty when it needs it.
+
+    element.style.position = 'relative';
+    var top  = parseFloat(element.style.top  || 0) - (element._originalTop || 0);
+    var left = parseFloat(element.style.left || 0) - (element._originalLeft || 0);
+
+    element.style.top    = top + 'px';
+    element.style.left   = left + 'px';
+    element.style.height = element._originalHeight;
+    element.style.width  = element._originalWidth;
+    return element;
+  },
+
+   //=====================================================
    findPos : function() {
     obj_ = jQuery(this).get(0);