Index: /extensions/bbcode_bar/language/sk_SK/index.php
===================================================================
--- /extensions/bbcode_bar/language/sk_SK/index.php	(revision 7201)
+++ /extensions/bbcode_bar/language/sk_SK/index.php	(revision 7201)
@@ -0,0 +1,33 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | PhpWebGallery - a PHP based picture gallery                           |
+// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
+// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// +-----------------------------------------------------------------------+
+// | file          : $Id$
+// | last update   : $Date$
+// | last modifier : $Author$
+// | revision      : $Revision$
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/bbcode_bar/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/bbcode_bar/language/sk_SK/plugin.lang.php	(revision 7201)
+++ /extensions/bbcode_bar/language/sk_SK/plugin.lang.php	(revision 7201)
@@ -0,0 +1,53 @@
+<?php
+	global $lang;
+	
+$lang['admin_liste'] = "Zoznam:";   
+   
+$lang['p_help'] = "Písmo : [p]Písmo[/p]";   
+$lang['b_help'] = "Tučné : tučné";
+$lang['i_help'] = "Kurzíva : kurzíva";
+$lang['u_help'] = "Podčiarknutie : podčiarknutie";   
+$lang['s_help'] = "Prečiarknuté : [s]prečiarknuté [/s]";
+   
+$lang['center_help'] = "Centrovať : [center]centrovať[/center]";
+$lang['right_help'] = "Vpravo : [right]vpravo[/right]";
+$lang['ul_help'] = "Nezoradený zoznam : [ul][li]element[/li][/ul]";
+$lang['ol_help'] = "Zoradený zoznam : [ol][li]element[/li][/ol]";
+	
+$lang['quote_help'] = "Citácia : [quote]Citácia[/quote]";
+$lang['img_help'] = "Img : [img]img[/img]";
+$lang['url_help'] = "URL : [url=Page URL]Názov[/url]";
+$lang['mail_help'] = "E-mail : [email]Email[/email]";	
+
+$lang['size_help'] = "Veľkosť písma : [size=X]text[/size]";
+$lang['tiny'] = "Najmenšie";
+$lang['small'] = "Malé";
+$lang['normal'] = "Normálne";
+$lang['large'] = "Väčšie";
+$lang['huge'] = "Najväčšie";    
+	
+$lang['fc_help'] 	= "Farba písma : [color=couleur]text[/color]";
+$lang['default_help']    = "Predvolená";
+$lang['maroon_help']     = "Gaštanovo hnedá";       
+$lang['red_help']         = "Červená";           
+$lang['orange_help']     = "Oranžová";         
+$lang['brown_help']     = "Hnedá";
+$lang['yellow_help']     = "Žltá";         
+$lang['green_help']      = "Zelená";     
+$lang['olive_help']             = "Olivová";         
+$lang['cyan_help']         = "Zelenomodrá";
+$lang['blue_help']         = "Modrá";   
+$lang['darkblue_help']    = "Dark Blue";
+$lang['indigo_help']     = "InTmavomodrá";
+$lang['violet_help']      = "Fialová";
+$lang['white_help']      = "Biela";
+$lang['black_help']       = "Čierna";
+	
+$lang['preview']         = "Náhľad";
+   
+$lang['help']            = "Ľahko: Formátovanie môže byť použité na označený text.";
+   
+$lang['repicon']        = "Adresár ikon.";
+ 
+$lang['bbcb_config_saved'] = "Konfigurácia uložená";
+?>