Index: /extensions/Autosize/autosize.inc.php
===================================================================
--- /extensions/Autosize/autosize.inc.php	(revision 7219)
+++ /extensions/Autosize/autosize.inc.php	(revision 7220)
@@ -33,9 +33,4 @@
 		global $infos_message,$erreur_message;
 		global  $conf,$lang ,$user,$userdata;
-		$image['width']="1200";
-				  $asp['image_name'] = $image['name'];
-		  $asp['width'] = $image['width'];
-		  $asp['height'] = $image['height'];
-		
 
 		load_language('lang', AUTOSIZE_PATH);
Index: /extensions/Autosize/js/Affiche_script.js
===================================================================
--- /extensions/Autosize/js/Affiche_script.js	(revision 7219)
+++ /extensions/Autosize/js/Affiche_script.js	(revision 7220)
@@ -131,5 +131,5 @@
             };
         //===================================================================	
- 
+
         var old_h = 0;
         var rapport = -1;
@@ -310,11 +310,11 @@
             switch (Type_Img) {
                 case "map":
-                    var info_image = jQuery("#mapPicture").info();
-                    marge_left = info_image.width;
-
-                    if (theme.match(RegExp("gally", "g"))) {
-                        jQuery("#map").css("top", "30px");
-                    }
-                    jQuery("#map").css("left", info_image.width + "px");
+                    var info_image = jQuery("#map").info();
+
+                    var info_map = jQuery("#mapPicture").info();
+
+                    marge_left = info_map.width;
+                    jQuery("#map").css("left", marge_left);
+
                     var TheImg = jQuery("#map").get(0);
                     info_image = jQuery("#map").info();
@@ -572,5 +572,5 @@
 
                 if (theme.match(RegExp("gally", "g"))) {
-                    Image_height -= "30";
+                    //  Image_height -= "30";
                 }
 
@@ -729,6 +729,5 @@
                 jQuery("object").height(Image_height);
             } else if (Type_Img == "panorama") {
-
-
+            
                 //      jQuery(TheImg).panorama2(img_finale.height, img_finale.width);
                 jQuery(TheImg).height(img_finale.height);
@@ -767,7 +766,7 @@
                 h_frame = jQuery("#pamoorama").width();
                 if (old_w == jQuery(window).width() && old_h == jQuery(window).height()) {
-                     
-                     if (info_pamoorama_outter.width == 0)
-                         setTimeout("wait_Timer()", 100);
+
+                    if (info_pamoorama_outter.width == 0)
+                        setTimeout("wait_Timer()", 100);
                     //     jQuery(TheImg).css("zoom", zoom);
                 }
@@ -782,5 +781,5 @@
 
             } else {
-
+                //===map ? ===
                 jQuery(TheImg).height(img_finale.height);
                 jQuery(TheImg).width(img_finale.width);
@@ -819,5 +818,5 @@
 
     } // function
-);                                                                                                                                                                                                        // ready
+);                                                                                                                                                                                                           // ready
 
 /* Extension
Index: /extensions/Autosize/main.inc.php
===================================================================
--- /extensions/Autosize/main.inc.php	(revision 7219)
+++ /extensions/Autosize/main.inc.php	(revision 7220)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: AutoSize
-Version: 1.2.0
+Version: 1.1.0
 Description: Ajuste l'affichage des photos en fonction de la hauteur de la fenetre de navigation
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=448
@@ -12,15 +12,9 @@
 if (!defined('AUTOSIZE_PATH')) 
 define(  'AUTOSIZE_PATH',   PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/' );
-
 include_once(AUTOSIZE_PATH.'autosize.inc.php');
-
 $autosize_controler = new autosize_controler();
 add_event_handler('loc_after_page_header', array(&$autosize_controler, 'cl_autosize_affiche'), 95 );
 add_event_handler('get_admin_plugin_menu_links', array(&$autosize_controler,'cl_autosize_admin')  );
-
-
- add_event_handler('load_profile_in_template', array(&$autosize_controler,'cl_autosize_script'),50 );
-
-
-
+add_event_handler('load_profile_in_template', array(&$autosize_controler,'cl_autosize_script'),50 );
+ 
 ?>